%define upstream_name    Text-German
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    German grundform reduction
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:      noarch


%{?perl_default_filter}

%description
This is a rather incomplete implementaion of work done by Gudrun Putze-Meier. I
have to confess that I never read her original paper. So all credit belongs to
her, all bugs are mine. I tried to get some insight from an implementation of
two students of mine. They remain anonymous because their work was the wost
piece of code I ever saw. My code behaves mostly as their implementation did
except it is about 75 times faster.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/Text
%{_mandir}/man3*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-10.mga8
+ Revision: 1497656
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-9.mga7
+ Revision: 1272039
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-8.mga6
+ Revision: 1034918
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.60.0-7.mga6
+ Revision: 940177
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 748168
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.60.0-5.mga5
+ Revision: 736095
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686623
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 515511
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 374068
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 31313
- mageia rebuild
- imported package perl-Text-German


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 405685
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-7mdv2009.0
+ Revision: 258616
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-6mdv2009.0
+ Revision: 246631
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.06-4mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-4mdv2008.0
+ Revision: 87005
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-3mdv2007.0
- better description and summary

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-2mdk
- Fix SPEC according to Perl Policy
    - URL

* Fri May 27 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-1mdk
- 0.06
- Make rpmbuildable

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.03-2mdk
- fix deps

